Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.avtransport.lastchange
Class AVTransportVariable.TransportStatus

    java.lang.Object
      org.teleal.cling.support.lastchange.EventedValue<E>
          org.teleal.cling.support.lastchange.EventedValueEnum<TransportStatus>
              org.teleal.cling.support.avtransport.lastchange.AVTransportVariable.TransportStatus

Enclosing class:
  AVTransportVariable

    public static class AVTransportVariable.TransportStatus

extends EventedValueEnum<TransportStatus>

Field Summary

Fields inherited from class org.teleal.cling.support.lastchange.EventedValue
`value`

Constructor Summary
`AVTransportVariable.TransportStatus(Map.Entry<String,String>[] attributes)`
`AVTransportVariable.TransportStatus(TransportStatus transportStatus)`

Method Summary
`protected TransportStatus` | `enumValueOf(String s)`

Methods inherited from class org.teleal.cling.support.lastchange.EventedValueEnum
`getDatatype, toString, valueOf`

Methods inherited from class org.teleal.cling.support.lastchange.EventedValue
`getAttributes, getName, getValue, valueOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AVTransportVariable.TransportStatus

    public AVTransportVariable.TransportStatus(TransportStatus transportStatus)

### AVTransportVariable.TransportStatus

    public AVTransportVariable.TransportStatus(Map.Entry<String,String>[] attributes)

Method Detail

### enumValueOf

    protected TransportStatus enumValueOf(String s)

  Specified by:
    `enumValueOf` in class `EventedValueEnum<TransportStatus>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.